| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Locale
Locale.Charset

# Method Locale.Charset.decoder()

Method decoder

  `Decoder decoder(string name)`

Description

  Returns a charset decoder object.

Parameter `name`

  The name of the character set to decode from. Supported charsets include (not all supported charsets are enumerable): "iso_8859-1:1987", "iso_8859-1:1998", "iso-8859-1", "iso-ir-100", "latin1", "l1", "ansi_x3.4-1968", "iso_646.irv:1991", "iso646-us", "iso-ir-6", "us", "us-ascii", "ascii", "cp367", "ibm367", "cp819", "ibm819", "iso-2022" (of various kinds), "utf-7", "utf-8" and various encodings as described by RFC1345.

Throws

  If the asked-for name was not supported, an error is thrown.